package com.zivilon.cinder_loe.client.render.corrupt;

import com.zivilon.cinder_loe.entity.corrupt.CorruptDwarf;
import com.zivilon.cinder_loe.entity.corrupt.CorruptElf;
import lotr.client.model.LOTRModelDwarf;
import lotr.client.model.LOTRModelElf;
import lotr.client.render.entity.LOTRRandomSkins;
import lotr.client.render.entity.LOTRRenderBiped;
import lotr.client.render.entity.LOTRRenderDwarf;
import lotr.common.entity.LOTRRandomSkinEntity;
import lotr.common.entity.npc.LOTREntityNPC;
import net.minecraft.client.model.ModelBiped;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;

public class RenderCorruptDwarf extends LOTRRenderDwarf {
    public static LOTRRandomSkins skinsMale;
    protected ModelBiped standardRenderPassModel = new LOTRModelDwarf(0.5f, 64, 64);

    public RenderCorruptDwarf() {
        super();
        skinsMale = LOTRRandomSkins.loadSkinsList("cinder_loe:mob/corrupt/dwarf");
    }
    @Override
    protected void func_82421_b() {
        this.field_82423_g = new LOTRModelDwarf(1.0f);
        this.field_82425_h = new LOTRModelDwarf(0.5f);
    }

    @Override
    public ResourceLocation getEntityTexture(Entity entity) {
        CorruptDwarf dwarf = (CorruptDwarf)entity;
        if (dwarf.familyInfo.isMale()) {
            return skinsMale.getRandomSkin(dwarf);
        }
        return skinsMale.getRandomSkin(dwarf);
    }
}
